Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class QueryBuilder.UpperBoundary

    java.lang.Object
      org.modeshape.jcr.query.QueryBuilder.UpperBoundary

Enclosing class:
  QueryBuilder

    public class QueryBuilder.UpperBoundary

extends Object

Field Summary
`protected QueryBuilder.ComparisonBuilder` | `comparisonBuilder`
`protected StaticOperand` | `lowerBound`

Constructor Summary
`protected` | `QueryBuilder.UpperBoundary(QueryBuilder.ComparisonBuilder comparisonBuilder, StaticOperand lowerBound)`

Method Summary
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(BigDecimal literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(boolean literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(DateTime literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(double literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(int literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(long literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(Name literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(Path literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(String literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(URI literal)` Define the upper boundary value of a range.
`QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder>` | `cast(UUID literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(BigDecimal literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(Binary literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(boolean literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(DateTime literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(double literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(float literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(int literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(long literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(Name literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(Path literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(String literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(URI literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `literal(UUID literal)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `subquery(QueryCommand subquery)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `subquery(Subquery subquery)` Define the upper boundary value of a range.
`QueryBuilder.ConstraintBuilder` | `variable(String variableName)` Define the upper boundary value of a range.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lowerBound

    protected final StaticOperand lowerBound

### comparisonBuilder

    protected final QueryBuilder.ComparisonBuilder comparisonBuilder

Constructor Detail

### QueryBuilder.UpperBoundary

    protected QueryBuilder.UpperBoundary(QueryBuilder.ComparisonBuilder comparisonBuilder,
                                         StaticOperand lowerBound)

Method Detail

### literal

    public QueryBuilder.ConstraintBuilder literal(String literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(int literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(long literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(float literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(double literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(DateTime literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(Path literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(Name literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(URI literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(UUID literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(Binary literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(BigDecimal literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### literal

    public QueryBuilder.ConstraintBuilder literal(boolean literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value;
  Returns:
    the constraint builder; never null

### variable

    public QueryBuilder.ConstraintBuilder variable(String variableName)

  Define the upper boundary value of a range.

  Parameters:
    `variableName` - the name of the variable
  Returns:
    the constraint builder; never null

### subquery

    public QueryBuilder.ConstraintBuilder subquery(Subquery subquery)

  Define the upper boundary value of a range.

  Parameters:
    `subquery` - the subquery
  Returns:
    the constraint builder; never null

### subquery

    public QueryBuilder.ConstraintBuilder subquery(QueryCommand subquery)

  Define the upper boundary value of a range.

  Parameters:
    `subquery` - the subquery
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(int literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(String literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(boolean literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(long literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(double literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(BigDecimal literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(DateTime literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(Name literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(Path literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(UUID literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

### cast

    public QueryBuilder.CastAs<QueryBuilder.ConstraintBuilder> cast(URI literal)

  Define the upper boundary value of a range.

  Parameters:
    `literal` - the literal value that is to be cast
  Returns:
    the constraint builder; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.